Skip to main content
POST
/
v1
/
employer-identifiers
/
{employer_identifier}
/
invites
Create employer identifier invite
curl --request POST \
  --url https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/invites \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactEmail": "jsmith@example.com",
  "redirectUrl": "<string>",
  "onboardingNotes": "<string>",
  "additionalEmails": [
    "jsmith@example.com"
  ]
}
'
{
  "id": "770e8400-e29b-41d4-a716-446655440002",
  "employerIdentifierId": "550e8400-e29b-41d4-a716-446655440000",
  "email": "user@example.com",
  "status": "pending",
  "createdAt": "2024-01-15T10:30:00Z",
  "expiresAt": "2024-01-22T10:30:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employer_identifier
string
required

Body

application/json
contactEmail
string<email>
required

Primary email address of the employer identifier sponsor

redirectUrl
string<uri>

URL to redirect after onboarding

onboardingNotes
string

Internal notes about the employer identifier

additionalEmails
string<email>[]

Additional email addresses

Response

Employer identifier invite created successfully

id
string<uuid>
required
employerIdentifierId
string<uuid>
required